<?php
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\Component\Jshopping\Site\Lib\JSFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\Component\Jshopping\Site\Helper\Helper;

defined( '_JEXEC' ) or die( 'Restricted access' );

class plgJshoppingCheckoutAddon_discount_cancel extends CMSPlugin 
{
   
    function __construct(& $subject, $config){
		parent::__construct($subject, $config);        
	}

    function onBeforeDisplayCart(&$cart){
		JSFactory::loadExtLanguageFile('addon_discount_cancel');
        if ($cart->rabatt_value>0){
			$document = Factory::getDocument();
			$document->addCustomTag('<script type="text/javascript" src="'.Uri::root().'plugins/jshoppingcheckout/addon_discount_cancel/addon_discount_cancel.js"></script>');
			$document->addCustomTag('<script type="text/javascript">var discount_cancel = "'. _JSHOP_DISCOUNT_CANCEL .'";</script>');
        }
    }
    
    
    function onLoadDiscountSave(){
        $deactivate = Factory::getApplication()->input->getInt('deactive');
        if ($deactivate){
            $coupon = JSFactory::getTable('coupon', 'jshop');
            $cart = JSFactory::getModel('cart', 'jshop');
            $cart->load();
            $cart->setRabatt(0, 0, 0);
            $app        = Factory::getApplication();
            $app->redirect(Helper::SEFLink('index.php?option=com_jshopping&controller=cart&task=view',0,1));
        }
    }
	
}